import xhiveframework


def execute():
	if xhiveframework.db.table_exists("Prepared Report"):
		xhiveframework.reload_doc("core", "doctype", "prepared_report")
		prepared_reports = xhiveframework.get_all("Prepared Report")
		for report in prepared_reports:
			xhiveframework.delete_doc("Prepared Report", report.name)
